
package com.americamovil.dda._1.f.enviamodifactivofijo;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.americamovil.dda._1.f.enviamodifactivofijo package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _MTVidaUtilRes_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaModifActivoFijo", "MT_VidaUtil_res");
    private final static QName _MTBajaSinPerdida_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaModifActivoFijo", "MT_BajaSinPerdida");
    private final static QName _MTBajaConPerdida_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaModifActivoFijo", "MT_BajaConPerdida");
    private final static QName _MTTituloPorValor_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaModifActivoFijo", "MT_TituloPorValor");
    private final static QName _MTModificaAFRes_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaModifActivoFijo", "MT_ModificaAF_res");
    private final static QName _MTVidaUtil_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaModifActivoFijo", "MT_VidaUtil");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.americamovil.dda._1.f.enviamodifactivofijo
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DTBajaSinPerdida }
     * 
     */
    public DTBajaSinPerdida createDTBajaSinPerdida() {
        return new DTBajaSinPerdida();
    }

    /**
     * Create an instance of {@link DTVidaUtilRes }
     * 
     */
    public DTVidaUtilRes createDTVidaUtilRes() {
        return new DTVidaUtilRes();
    }

    /**
     * Create an instance of {@link DTBajaConPerdida }
     * 
     */
    public DTBajaConPerdida createDTBajaConPerdida() {
        return new DTBajaConPerdida();
    }

    /**
     * Create an instance of {@link DTTituloPorValor }
     * 
     */
    public DTTituloPorValor createDTTituloPorValor() {
        return new DTTituloPorValor();
    }

    /**
     * Create an instance of {@link DTModificaAFRes }
     * 
     */
    public DTModificaAFRes createDTModificaAFRes() {
        return new DTModificaAFRes();
    }

    /**
     * Create an instance of {@link DTVidaUtil }
     * 
     */
    public DTVidaUtil createDTVidaUtil() {
        return new DTVidaUtil();
    }

    /**
     * Create an instance of {@link DTBajaSinPerdida.Registro }
     * 
     */
    public DTBajaSinPerdida.Registro createDTBajaSinPerdidaRegistro() {
        return new DTBajaSinPerdida.Registro();
    }

    /**
     * Create an instance of {@link DTVidaUtilRes.Registro }
     * 
     */
    public DTVidaUtilRes.Registro createDTVidaUtilResRegistro() {
        return new DTVidaUtilRes.Registro();
    }

    /**
     * Create an instance of {@link DTBajaConPerdida.Registro }
     * 
     */
    public DTBajaConPerdida.Registro createDTBajaConPerdidaRegistro() {
        return new DTBajaConPerdida.Registro();
    }

    /**
     * Create an instance of {@link DTTituloPorValor.Registro }
     * 
     */
    public DTTituloPorValor.Registro createDTTituloPorValorRegistro() {
        return new DTTituloPorValor.Registro();
    }

    /**
     * Create an instance of {@link DTModificaAFRes.Registro }
     * 
     */
    public DTModificaAFRes.Registro createDTModificaAFResRegistro() {
        return new DTModificaAFRes.Registro();
    }

    /**
     * Create an instance of {@link DTVidaUtil.Registro }
     * 
     */
    public DTVidaUtil.Registro createDTVidaUtilRegistro() {
        return new DTVidaUtil.Registro();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTVidaUtilRes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaModifActivoFijo", name = "MT_VidaUtil_res")
    public JAXBElement<DTVidaUtilRes> createMTVidaUtilRes(DTVidaUtilRes value) {
        return new JAXBElement<DTVidaUtilRes>(_MTVidaUtilRes_QNAME, DTVidaUtilRes.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTBajaSinPerdida }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaModifActivoFijo", name = "MT_BajaSinPerdida")
    public JAXBElement<DTBajaSinPerdida> createMTBajaSinPerdida(DTBajaSinPerdida value) {
        return new JAXBElement<DTBajaSinPerdida>(_MTBajaSinPerdida_QNAME, DTBajaSinPerdida.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTBajaConPerdida }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaModifActivoFijo", name = "MT_BajaConPerdida")
    public JAXBElement<DTBajaConPerdida> createMTBajaConPerdida(DTBajaConPerdida value) {
        return new JAXBElement<DTBajaConPerdida>(_MTBajaConPerdida_QNAME, DTBajaConPerdida.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTTituloPorValor }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaModifActivoFijo", name = "MT_TituloPorValor")
    public JAXBElement<DTTituloPorValor> createMTTituloPorValor(DTTituloPorValor value) {
        return new JAXBElement<DTTituloPorValor>(_MTTituloPorValor_QNAME, DTTituloPorValor.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTModificaAFRes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaModifActivoFijo", name = "MT_ModificaAF_res")
    public JAXBElement<DTModificaAFRes> createMTModificaAFRes(DTModificaAFRes value) {
        return new JAXBElement<DTModificaAFRes>(_MTModificaAFRes_QNAME, DTModificaAFRes.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTVidaUtil }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaModifActivoFijo", name = "MT_VidaUtil")
    public JAXBElement<DTVidaUtil> createMTVidaUtil(DTVidaUtil value) {
        return new JAXBElement<DTVidaUtil>(_MTVidaUtil_QNAME, DTVidaUtil.class, null, value);
    }

}
